Calendar occurrences for vehicles within a date range.
Transportial OTMS API (0.9.74)
Welcome to the Transportial API. It's the full API access for the OTMS Transportatial application. Every feature that is available (and more) in the UI is available here. It's our mission to facilitate open, fast, enterprise grade architecture for transportation.
TransportEquipment are the items to be transported as part of a consignment. TransportEquipment can be divided into two sub-types of transportEquipment, depending on the use case and the level of detail. TransportEquipment either consists of items, describing the actual transportEquipment to be transported. Or a transport equipment, which is equipment used to carry the actual transportEquipment to be transported. Transport equipment is (usually) a means to an end, not something that needs to be transported on itself, such as pallets.
- Mock serverhttps://docs.transportial.com/_mock/apis/messageAutomations/{offset}/{amount}
- Test environmenthttps://test.api.otms.transportial.com/api/messageAutomations/{offset}/{amount}
- Productionhttps://api.otms.transportial.com/api/messageAutomations/{offset}/{amount}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.transportial.com/_mock/apis/messageAutomations/{offset}/{amount}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "totalResults": 0, "messageAutomations": [ { … } ] }
- Mock serverhttps://docs.transportial.com/_mock/apis/messageAutomations/{offset}/{amount}
- Test environmenthttps://test.api.otms.transportial.com/api/messageAutomations/{offset}/{amount}
- Productionhttps://api.otms.transportial.com/api/messageAutomations/{offset}/{amount}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.transportial.com/_mock/apis/messageAutomations/{offset}/{amount}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "totalResults": 0, "messageAutomations": [ { … } ] }
- Mock serverhttps://docs.transportial.com/_mock/apis/messageAutomation
- Test environmenthttps://test.api.otms.transportial.com/api/messageAutomation
- Productionhttps://api.otms.transportial.com/api/messageAutomation
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
- messageAutomation
- questionAnswerAutomation
- fileRequestAutomation
curl -i -X PUT \
https://docs.transportial.com/_mock/apis/messageAutomation \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{}'{ "success": true, "message": "string", "code": 0, "messageAutomation": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "type": "messageAutomation", "name": "string", "description": "string", "automationConfig": { … }, "messageAutomationIntegration": {}, "enabled": true, "lastHandled": "2019-08-24T14:15:22Z", "template": true, "templateCategory": "string" } }
- Mock serverhttps://docs.transportial.com/_mock/apis/messageAutomation
- Test environmenthttps://test.api.otms.transportial.com/api/messageAutomation
- Productionhttps://api.otms.transportial.com/api/messageAutomation
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
- messageAutomation
- questionAnswerAutomation
- fileRequestAutomation
curl -i -X POST \
https://docs.transportial.com/_mock/apis/messageAutomation \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{}'{ "success": true, "message": "string", "code": 0, "messageAutomation": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "type": "messageAutomation", "name": "string", "description": "string", "automationConfig": { … }, "messageAutomationIntegration": {}, "enabled": true, "lastHandled": "2019-08-24T14:15:22Z", "template": true, "templateCategory": "string" } }
- Mock serverhttps://docs.transportial.com/_mock/apis/messageAutomation/{id}/tasks/{offset}/{amount}
- Test environmenthttps://test.api.otms.transportial.com/api/messageAutomation/{id}/tasks/{offset}/{amount}
- Productionhttps://api.otms.transportial.com/api/messageAutomation/{id}/tasks/{offset}/{amount}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.transportial.com/_mock/apis/messageAutomation/{id}/tasks/{offset}/{amount}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "totalResults": 0, "messageAutomationTasks": [ { … } ] }
- Mock serverhttps://docs.transportial.com/_mock/apis/messageAutomation/{id}
- Test environmenthttps://test.api.otms.transportial.com/api/messageAutomation/{id}
- Productionhttps://api.otms.transportial.com/api/messageAutomation/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.transportial.com/_mock/apis/messageAutomation/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "messageAutomation": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "type": "messageAutomation", "name": "string", "description": "string", "automationConfig": { … }, "messageAutomationIntegration": {}, "enabled": true, "lastHandled": "2019-08-24T14:15:22Z", "template": true, "templateCategory": "string" } }
- Mock serverhttps://docs.transportial.com/_mock/apis/messageAutomation/{id}
- Test environmenthttps://test.api.otms.transportial.com/api/messageAutomation/{id}
- Productionhttps://api.otms.transportial.com/api/messageAutomation/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
'https://docs.transportial.com/_mock/apis/messageAutomation/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "messageAutomation": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "type": "messageAutomation", "name": "string", "description": "string", "automationConfig": { … }, "messageAutomationIntegration": {}, "enabled": true, "lastHandled": "2019-08-24T14:15:22Z", "template": true, "templateCategory": "string" } }
- Mock serverhttps://docs.transportial.com/_mock/apis/messageAutomation/{id}/duplicate
- Test environmenthttps://test.api.otms.transportial.com/api/messageAutomation/{id}/duplicate
- Productionhttps://api.otms.transportial.com/api/messageAutomation/{id}/duplicate
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.transportial.com/_mock/apis/messageAutomation/{id}/duplicate' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "messageAutomation": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "type": "messageAutomation", "name": "string", "description": "string", "automationConfig": { … }, "messageAutomationIntegration": {}, "enabled": true, "lastHandled": "2019-08-24T14:15:22Z", "template": true, "templateCategory": "string" } }
- Mock serverhttps://docs.transportial.com/_mock/apis/messageAutomation/user-preferences
- Test environmenthttps://test.api.otms.transportial.com/api/messageAutomation/user-preferences
- Productionhttps://api.otms.transportial.com/api/messageAutomation/user-preferences
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
https://docs.transportial.com/_mock/apis/messageAutomation/user-preferences \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "totalResults": 0, "preferences": [ { … } ] }
- Mock serverhttps://docs.transportial.com/_mock/apis/messageAutomation/user-preference
- Test environmenthttps://test.api.otms.transportial.com/api/messageAutomation/user-preference
- Productionhttps://api.otms.transportial.com/api/messageAutomation/user-preference
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://docs.transportial.com/_mock/apis/messageAutomation/user-preference \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"messageAutomationId": "uuid-here",
"enabled": true
}'{ "success": true, "message": "string", "code": 0, "totalResults": 0, "preferences": [ { … } ] }
- Mock serverhttps://docs.transportial.com/_mock/apis/messageAutomation-templates
- Test environmenthttps://test.api.otms.transportial.com/api/messageAutomation-templates
- Productionhttps://api.otms.transportial.com/api/messageAutomation-templates
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
https://docs.transportial.com/_mock/apis/messageAutomation-templates \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "totalResults": 0, "messageAutomations": [ { … } ] }
- Mock serverhttps://docs.transportial.com/_mock/apis/messageAutomation/generate
- Test environmenthttps://test.api.otms.transportial.com/api/messageAutomation/generate
- Productionhttps://api.otms.transportial.com/api/messageAutomation/generate
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://docs.transportial.com/_mock/apis/messageAutomation/generate \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"documents": [
"string"
],
"content": "string"
}'{ "success": true, "message": "string", "code": 0, "messageAutomation": { "property1": {}, "property2": {} } }
- Mock serverhttps://docs.transportial.com/_mock/apis/messageAutomation-template/{id}/duplicate
- Test environmenthttps://test.api.otms.transportial.com/api/messageAutomation-template/{id}/duplicate
- Productionhttps://api.otms.transportial.com/api/messageAutomation-template/{id}/duplicate
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.transportial.com/_mock/apis/messageAutomation-template/{id}/duplicate' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "messageAutomation": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "type": "messageAutomation", "name": "string", "description": "string", "automationConfig": { … }, "messageAutomationIntegration": {}, "enabled": true, "lastHandled": "2019-08-24T14:15:22Z", "template": true, "templateCategory": "string" } }
Goods are the items to be transported as part of a consignment. Goods can be divided into two sub-types of goods, depending on the use case and the level of detail. Goods either consists of items, describing the actual goods to be transported. Or a transport equipment, which is equipment used to carry the actual goods to be transported. Transport equipment is (usually) a means to an end, not something that needs to be transported on itself, such as pallets.
Events - like actions - model dynamic entities that couple various static entities at a certain moment in time. Events are used for either real-time updates, or updates on earlier provided data. Notice that in both event types these are updates on earlier provided data, whereas actions are usually used together with the entities they dynamically couple.